### Property

# Gio DataInputStream:newline-type

#### Declaration

    property newline-type: Gio.DataStreamNewlineType [ read, write ]

#### Description

The :newline-type property determines what is considered as a line ending when reading complete lines from the stream.

Type:`GDataStreamNewlineType`

Default value | G_DATA_STREAM_NEWLINE_TYPE_LF
Getter method | `g_data_input_stream_get_newline_type()`
Setter method | `g_data_input_stream_set_newline_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no